#R
# $HeadURL: https://hedgehog.fhcrc.org/bioconductor/branches/RELEASE_3_4/madman/Rpacks/specL/inst/unitTests/test_cdsw.R $
# $Id: test_cdsw.R 115997 2016-04-08 10:15:19Z c.panse $
# $Date: 2016-04-08 06:15:19 -0400 (Fri, 08 Apr 2016) $

test_cdsw <-
function(){
        

    peptideStd.specLSet <- genSwathIonLib(data=peptideStd, data.fit=peptideStd.redundant)

    checkEqualsNumeric(sum(cdsw(peptideStd, plot = FALSE)$to == cdsw(peptideStd.specLSet, plot = FALSE)$to), 20, tolerance = 0.0)
    checkEqualsNumeric(sum(cdsw(peptideStd, plot = FALSE)$count == cdsw(peptideStd.specLSet, plot = FALSE)$count), 20, tolerance = 0.0)


}


test_cdsw()
